/* Copyright (c) 2009 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */


#ifndef NRF_H
#define NRF_H

#ifndef _WIN32

#include "compiler_abstraction.h"

/* Family sellection for main includes. NRF51 must be sellected. */
#ifdef NRF51
#include "nrf51.h"
#include "nrf51_bitfields.h"
#include "nrf51_deprecated.h"
#else
#error "Device is not supported."
#endif /* NRF51 */


/* Chip variants for inclusion of PAN MACROS. One device name must be 
   selected to define the necessary MACROS for the SW PAN workaround. */
#if defined (NRF51422_QFAA_CA)
    #define MANUAL_PERIPHERAL_SETUP_NEEDED 1
#elif defined (NRF51422_QFAA_C0)
    #define MANUAL_PERIPHERAL_SETUP_NEEDED 1
#elif defined (NRF51422_CEAA_A0)
    #define MANUAL_PERIPHERAL_SETUP_NEEDED 1    
#elif defined (NRF51422_QFAA_DA)
    #define MANUAL_PERIPHERAL_SETUP_NEEDED 0
#elif defined (NRF51822_QFAA_CA)
    #define MANUAL_PERIPHERAL_SETUP_NEEDED 1
#elif defined (NRF51822_QFAA_C0)
    #define MANUAL_PERIPHERAL_SETUP_NEEDED 1
#elif defined (NRF51822_QFAB_AA)
    #define MANUAL_PERIPHERAL_SETUP_NEEDED 1
#elif defined (NRF51822_QFAB_A0)
    #define MANUAL_PERIPHERAL_SETUP_NEEDED 1
#elif defined (NRF51822_CEAA_B0)
    #define MANUAL_PERIPHERAL_SETUP_NEEDED 1
#elif defined (NRF51822_QFAA_FA)
    #define MANUAL_PERIPHERAL_SETUP_NEEDED 0
#elif defined (NRF51822_QFAA_FB)
    #define MANUAL_PERIPHERAL_SETUP_NEEDED 0
#else
#error "Device variant must be defined. See nrf.h."
#endif /* Chip variant */


#endif /* _WIN32 */ 

#endif /* NRF_H */

